package com.ruoyi.web.controller.mch;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.ss.transactionBill.domain.TransactionBillQuery;
import com.ruoyi.ss.transactionBill.service.TransactionBillService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wjh
 * 2024/7/29
 */
@RestController
@RequestMapping("/mch/bill")
public class MchTransactionBillController extends BaseController {

    @Autowired
    private TransactionBillService transactionBillService;

    @ApiOperation("商户查询统计信息")
    @GetMapping("/count")
    public AjaxResult count(TransactionBillQuery query)
    {
        query.setMchId(getUserId());
        return success(transactionBillService.selectCount(query));
    }

}

